{% extends "web/base.html" %}
{% load static i18n %}
{% load formica %}

{% block extra_head %}
    <link href="{% static 'web/vendors/accessible-autocomplete.min.css' %}" type="text/css" rel="stylesheet"/>
{% endblock %}

{% block content %}
    <h1 class="mt-6 u-center headline-4 font-alt">
        {{ passage }}
    </h1>

    <div class="content">
        <form
            action="{{ create_url }}"
            method="post">
            <div class="modal-header">
                <div class="modal-title">
                    {% translate "Add a new keyword" %}
                </div>
            </div>
            <div class="modal-body">
                {% form "web/formica/base_form.html" form %}
                    {% fields %}
                {% endform %}
            </div>
            <div class="modal-footer">
                <div class="form-section u-flex u-justify-space-between">
                    <a href="#back" class="btn u-inline-block">
                        {% translate "Cancel" %}
                    </a>
                    <button class="btn-info u-inline-block" type="submit">
                        {% translate "Submit & save" %}
                    </button>
                </div>
            </div>
        </form>
    </div>

{% endblock %}

{% block extra_body %}
    <script src="{% static 'web/vendors/accessible-autocomplete.min.js' %}"></script>
    <script type="text/javascript">
        accessibleAutocomplete.enhanceSelectElement({
            selectElement: document.querySelector('#id_keyword'),
            showAllValues: true,
            dropdownArrow: (config) => '<svg class="' + config.className + '" style="top: 14px;" viewBox="0 0 512 512" ><path d="M256,298.3L256,298.3L256,298.3l174.2-167.2c4.3-4.2,11.4-4.1,15.8,0.2l30.6,29.9c4.4,4.3,4.5,11.3,0.2,15.5L264.1,380.9  c-2.2,2.2-5.2,3.2-8.1,3c-3,0.1-5.9-0.9-8.1-3L35.2,176.7c-4.3-4.2-4.2-11.2,0.2-15.5L66,131.3c4.4-4.3,11.5-4.4,15.8-0.2L256,298.3  z"/></svg>'
        })
    </script>
{% endblock %}
